Subject: Re: [mailstation] Digest Number 171

From: R. Tomsick <ppc7447@...>
Date: Sun, 12 Mar 2006 13:52:20 -0500

http://sdcc.sourceforge.net/

This compiler targets the Z80.  Although I have not used it for the  
Mailstation, I imagine that it will generate compatible machine code.

-R

On Mar 12, 2006, at 9:19 AM, [email-masked] wrote:

> There are 2 messages in this issue.
>
> Topics in this digest:
>
>       1. Where to start ?
>            From: "benjaminmaggi" <benjaminmaggi@...>
>       2. Re: Where to start ?
>            From: "Cyrano Jones" <cyranojones_lalp@...>
>
>
> _______________________________________________________________________ 
> _
> _______________________________________________________________________ 
> _
>
> Message: 1
>    Date: Sat, 11 Mar 2006 22:11:52 -0000
>    From: "benjaminmaggi" <benjaminmaggi@...>
> Subject: Where to start ?
>
> I've brought MailStation model DET1 with the hope to start puting my
> own programs in it, but i dont know where to start, what cable
> conections i need to transfer the programs and data, how to show
> hidden menues, or what programs do i need to send and compile my
> programs for the mcu.
>
>
>
>
>
> _______________________________________________________________________ 
> _
> _______________________________________________________________________ 
> _
>
> Message: 2
>    Date: Sun, 12 Mar 2006 11:29:30 -0000
>    From: "Cyrano Jones" <cyranojones_lalp@...>
> Subject: Re: Where to start ?
>
> --- "benjaminmaggi" <benjaminmaggi@...> wrote:
>
>> I've brought MailStation model DET1 with the hope to start puting my
>> own programs in it, but i dont know where to start,
>
> Mailbug is a program I wrote that will let you load & run
> your own code, in either the mailstation flash or ram.
>
> http://groups.yahoo.com/group/mailstation/files/Mailbug/mailbug_0.0.3/
>
>> what cable conections i need to transfer the programs and data,
>
> A parallel-laplink cable.
>
>> how to show hidden menues,
>
> On the older DET1 models, you power up while holding
> down <fn><sh><t> until you see the test mode menu.
>
> You don't need this menu to install and use mailbug
> version 0.0.3.
>
> Installing sboot.rom (required with mailbug 0.0.3) will
> wipe out most of the original firmware in your mailstation.
> If you would like to keep your original firmware intact,
> you might want to wait for version 0.0.4 (hopefully
> ready in just a few more days).
>
>> or what programs do i need to send and compile my
>> programs for the mcu.
>
> There is no compiler yet.  Can you program in z80 assembler?
>
> A free cross-assembler (as80) is in the file area, under mailbug
> directory.  There is also a "hello world" example.
>
> --CJ
>
>
>
>
>
>
> _______________________________________________________________________ 
> _
> _______________________________________________________________________ 
> _
>
>
>
> ----------------------------------------------------------------------- 
> -
> Yahoo! Groups Links
>
>
>
>
> ----------------------------------------------------------------------- 
> -
>
>
>